MechEdit Copyright (C) 1995 James A. Sausville, All Rights Reserved.
Version 1.0


System Requirements And Program Set Up

If you can run MechWarrior on your system, you can certainly run this 
program! The best place for the program files is in the same directory as 
MechWarrior 2.


What This Program Does

MechEdit allows you to increase the allowable mass for any given mech to 
300 tons. MechEdit will also allow you to put a large engine into your mech 
so it will move like the wind. You'll have to add the racing stripes and 
spoiler yourself. This program also allows the installation of miniature 
heat sinks, a small but powerful jump jet and extra head armor


How To Use This Software

From within MechWarrior, go to the mech lab and choose the type of mech you 
wish to "augment". Create a user variant by choosing to modify the mech. 
Delete all of the heat sinks and any jump jets present. I also remove all 
of the weapons and change the armor and engine types to standard to 
preserve interior room, although this is not essential at this point. Save 
the mech and note its user variant number. This will help you to determine 
that you have grabbed the correct mech with MechEdit.

Exit Mechwarrior and start MechEdit. After clicking the left mouse button 
or pressing the spacebar to clear the title screen, you will be looking at 
the main edit screen (well, the only edit screen). Click on the [L]oad 
button or press the L key to bring up the load file screen. The program 
will look for your mech files in the C:\MECH2\MEK directory. If this 
directory does not exist you will be prompted for the correct path. You may 
look  in any alternate path by clicking on the [P]ath button or pressing 
the P key. Those of you who have mastered the use of a text editor can 
create a file called MECHEDIT.INI containing the path of your mech files. 
On my own system MECHEDIT.INI contains the text "D:\MECH2\MEK". Select a 
file to load by clicking on it with the mouse cursor or moving the 
highlighted bar with the cursor keys and pressing [Enter].

After you have selected the file to edit, the editing screen will contain 
the type of mech you are working on and the user variant number. This 
information helps you determine if you are editing the correct mech file. 
The type of mech and the variant number are encoded in the file name 
itself. For example, a Warhammer mech user variant #5 will be saved  in a 
file called WHM04USR.MEK. If you determine that you are editing the wrong 
mech simply load another as described above.

At this point you can increase the maximum allowable tonnage of your Mech. 
You can build an awful lot of mech into 300 tons (grin). You may also add 
miniature heat sinks crafted from the finest dwarf star alloy available. 
These amazing devices weight the same and dissipate the same amount of heat 
as a regular heat sink, but take up virtually no space! (all right, they 
don't take up any space, OK?) You may also add excessive amounts of heat 
armor. This armor will show up in MechWarrior, and will have weight. Mechs 
with more than 60 units of head armor are called "fat heads" for obvious 
reasons. Don't bother to set your mech's speed or add any jump capacity at 
this time. The editor inside of MechWarrior will trash these values so you 
will just have to set them again.

Restart Mechwarrior and return to the mech lab. Select your mech type again 
and find the user variant that you have modified. You can now use the games 
own editor to create an absolute monstrosity of a mech. A mech that can way 
three times more that the Dire Wolf. Do not worry too much about engine 
type or projected speeds at this time. In fact you can ignore this al 
together as we will be fixing this with MechEdit later. Try to keep about 
thirty tons free for the engine upgrade. I have no idea how the program 
(MechWarrior) works, but the actual weight of the mech is calculated on the 
fly. See mech design tips below for a few suggestions on packing the most 
into 300 tons.

There is a bug in the MechWarrior editor that only appears when a mech 
exceeds 100 tons. Considering that the game is not supposed to have any 
mechs over 100 tons, I guess we can't complain about it. The maximum values 
for some armor, usually left and right torso armor (arm armor at 300 tons), 
is approximately 1,086,000 give or take. This makes a mess on the screen, 
but does not seem to effect anything else. In case you are wondering it is 
not possible to fit over a million points of torso armor into 300 tons.

Load up your mech with weapons and armor. I find a total armor factor of 
1000 to be sufficient, unless your battle tactics include the "stand like a 
statue and get the @#%&! beat out you" strategy. You cannot exceed 300 tons 
at this point, but you may add more stuff later, if you're willing to pop 
back and forth between the game and the editor a few times.

When you are done designing the mech of your dreams, save it as usual. Do 
not be alarmed if the engine type changes to something pathetically small 
and slow. I do not recommend testing your mech at this time, unless your 
favorite sport is sloth racing. Exit MechWarrior and run MechEdit again. 
Load in the mech file as before. Note that it will be one user variant 
number higher than before.

You are now ready to set the speed of your mech. The speeds range from dead 
slow to OH-MY-GOD. The OH-MY-GOD speed is good for a laugh, as it is 
difficult to hit anything while moving at warp 9. Because the game's editor 
does not like big, fast mechs, you will need to reset your mechs speed ANY 
TIME YOU EDIT the mech. And I mean any time you make any change at all no 
matter how small. This is important because the game wants to limit your 
mech to dead slow, and we are talking dead slow as in too slow to evade 
enemy fire. Your new mech will be amazingly powerful but not omnipotent. 
The first time I tested OH-MY-GOD speed I went from 0 to 6000 KPH in less 
than 2 seconds. My top speed was limited by an almost immediate collision 
with a rather large mountain, the result of which was instantaneous 
destruction of my mech in a fiery explosion. It was really cool. Your 
mileage may vary. I don't recommend speeds over 30 for any serious 
fighting. The game may crash at extreme speed. More than likely though you 
will crash before the game does. I recommend and use a speed of 15. The 
actual speed your mech will move varies with the planet's gravity and the 
mech chassis.

You can also add jump capacity at this time. Your mech will grow a single 
two ton jump jet that does not use any internal space. I find jump 
capability to be kind of frivolous, not to mention unrealistic for a 300 
ton mech. But if you want your metal monster to float around the 
battlefield like Sally Field in The Flying Nun, what business is it of 
mine? I use a jump capacity of about 30. Jump jets produce heat, and adding 
too many will produce an instantaneous thermal overload and immediate 
destruction of your mech. ("Blew up another one, didn't you FREEBIRTH!")

When you're done fiddling with your mech's speed and jumping prowess, save 
your mech and exit MechEdit. Your new model glider is now ready to fly. 
Enter MechWarrior once again. Go to the mech lab and select your new toy. 
Enter a scenario and kick some butt. Lay waste to an entire planet. Who's 
gonna stop you?

As mentioned earlier your mech will probably not be up to 300 tons. Your 
heat sinks tend to lose weight and then gain it back (no Oprah jokes, 
please). It doesn't make any sense to me either. You can continue to push 
the limits and change your mech as much as you like. The most important 
thing to remember is: EVERY TIME YOUR EDIT YOUR MECH INSIDE THE GAME, YOU 
MUST USE MECHEDIT TO SET ITS SPEED AND JUMP CAPACITY AGAIN.


Mech Design And Super Mech Strategy
 
The type of weaponry you use in your mech depends a lot on your fighting 
style. There are three things that you can choose in the game's editor that 
will allow you to really max out your mech. You should use a standard 
engine, a standard internal structure and standard armor. This will give 
you the maximum amount of internal room for weapons and ammo. If you do 
find yourself with an overweight mech and spare internal room, change the 
internal structure back to endo steel. Don't forget the open space in your 
head, er, in your mechs head. A large laser will fit there very nicely.

In playing the game extensively, several things came to light. Fighting a 
long range battle with the computer controlled mechs is suicide. They can, 
and will, shoot your arms off at 800 meters. You cannot even really see 
them at this range. Close the range rapidly where your undoubtedly crazy 
maneuvering will confuse the computer opponents.  Never stand still in a 
fight, as this makes you a great target. A PPC needs to lead a moving 
target quite a bit, especially at longer ranges. Use terrain to mask you 
from massed enemy fire, make them come to you if possible. And lastly, 
never run with scissors, you could poke your eye out!

Your supermech designs will be awesome fighting machines. They will not be 
immortal. If you feel that your supermech is giving you an unfair 
advantage, don't use any star mates when they become available. Or, if you 
are really twisted, give your star mates supermechs as well. Blowing up the 
cars in urban scenarios is a real kick (like you never tried it).


Shareware Notes

This is a shareware program. If you use this software, you are expected to 
pay for it. It is, of course, the right thing to do. I leave it up to you 
to decide. You may wonder if I have ever registered a shareware program. I 
once registered a game called DOOM, maybe you've heard of it.

Please help this program to spread. If your favorite BBS or on-line service 
doesn't already have this program, please upload it to them. It is my wish 
that all users of MechWarrior have a chance to use this program. I find 
that it adds to, rather than detracts from, the total MechWarrior 
experience.


Legal Stuff

MechWarrior is a registered trademark of FASA CORPORATION. The author of 
this program has no affiliation with Activision, the FASA CORPORATION or 
Sally Field. Users of this software use it at their own risk (of what I'm 
not sure). The author is not responsible or liable for any direct, 
indirect, incidental, consequential, moral, ethical or spiritual damage 
caused by the use of this software, including, but by no means limited to, 
loss of consortium.


Food For Thought

	Subject: Debauchery

	My only books,
	Were Woman's looks,
	And Folly's all they taught me.

	Thomas Moore
 

One For The Road

If you ever find anyone you really and truly love, don't ever let them slip 
away. You'll spend the rest of your life regretting it. Live long and 
prosper, MechWarriors.
